Page MenuHomePhabricator

Transfer data collection ownership
Closed, ResolvedPublic4 Story Points

Description

Currently our data retrieval scripts are run as a cron job from Oliver's account on stat1002. We could probably get a non-employee-specific account that Discovery Analytics can su to after logging in to stat1002 to administer the cron scheduling and other data collection-related tasks. Maybe? I don't know what the best solution would be that's not just "okay, let's make the job run from bearloga instead of ironholds"

Event Timeline

mpopov created this task.Feb 25 2016, 7:09 PM
mpopov created this object with visibility "All Users".

@mpopov: Any reason you restricted access to this task by setting "All Users"?

mpopov added a subscriber: Gehel.Feb 25 2016, 7:10 PM
This comment was removed by mpopov.
Krenair changed the visibility from "All Users" to "Public (No Login Required)".Feb 25 2016, 7:10 PM

@mpopov: Any reason you restricted access to this task by setting "All Users"?

No particular reason now that you bring it up. Should be okay to change to no login required. Will do that now, thanks!

@Ottomata Can you please help us?

We currently have a R script that is scheduled to run as a cron job on @Ironholds's account. We want to figure out a solution that is account-independent, so when Oliver leaves or if any analyst leaves, the data collection job isn't in limbo.

@mpopov what was the result of the -analytics chat yesterday? (I don't recall)

mpopov added a comment.Mar 1 2016, 8:02 PM

@Ottomata said (and feel free to correct me, Andrew) that they made a headless user "analytics-search" for us and that theoretically they should be able to let us su analytics-search to administer that user's cron jobs, etc.

Needs a password I don't have :(

Deskana added a subscriber: Deskana.Mar 1 2016, 9:12 PM

This is blocked. @Ironholds says he needs @Ottomata's input on this.

We have emailed otto as an extra ping.

Still blocked!

Now unblocked, should wrap up tomorrow (Friday)

@Ironholds could you please document everything you did / how it works / maintenance steps at https://meta.wikimedia.org/wiki/Discovery/Analytics?

We went with a short-term solution of having my account run the data collection. We are (read: I am) going to work on a longer-term, Puppet-based solution later.

Deskana closed this task as Resolved.Mar 28 2016, 10:27 PM